/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.IO;
using System.Runtime.Serialization;
using System.Text;
using System.Text.RegularExpressions;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using Newtonsoft.Json.Linq;
using System.ComponentModel.DataAnnotations;
using OpenAPIDateConverter = Coscine.ApiClient.Core.Client.OpenAPIDateConverter;

namespace Coscine.ApiClient.Core.Model
{
    /// <summary>
    /// Specifies the supported external authentication services.
    /// </summary>
    /// <value>Specifies the supported external authentication services.</value>
    [JsonConverter(typeof(StringEnumConverter))]
    public enum IdentityProviders
    {
        /// <summary>
        /// Enum Shibboleth for value: Shibboleth
        /// </summary>
        [EnumMember(Value = "Shibboleth")]
        Shibboleth = 1,

        /// <summary>
        /// Enum ORCiD for value: ORCiD
        /// </summary>
        [EnumMember(Value = "ORCiD")]
        ORCiD = 2
    }

}
